View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011920CDashCMakepublic2011-03-02 18:132011-12-22 10:22
ReporterDavid Irvine 
Assigned ToZach Mullen 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformX386OSLinuxOS VersionUbuntu 10.10
Product Version1.8 
Target VersionFixed in Version2.0 
Summary0011920: Current svn -> cannot create project + header errors
DescriptionI know I should probably not use svn up on our production box, however I did. The reason being we had issues creating a project (page formatting is all gone). The whole normally tabbed page seems to display a s a single page and all the image icons are just images.

At current HEAD there are issues with headers already being sent.

I reverted to 2845 to allow us to see and report to our dashboard, however we cannot set up a new project. I tried all the way back to 2700 and then gave up as I was not sure of harming the database going that far back.

You can see the project at http://dash.maidsafe.net [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0025627)
Julien Jomier (manager)
2011-03-03 03:09

Could you send the error message with the header already sent?
(0025629)
David Irvine (reporter)
2011-03-03 06:43
edited on: 2011-03-03 06:44

Table 'cdash.build2uploadfile' doesn't exist
Warning: mysql_fetch_array(): supplied argument is not a valid MySQL result resource in /var/www/cdash/pdocore.php on line 125

Warning: Cannot modify header information - headers already sent by (output started at /var/www/index.php:717) in /var/www/cdash/common.php on line 133

This is current head and I have now reverted to 2845 to get rid of this message for now. I have not even looked at the php code, sorry everything manic as usual here :-)

(0025630)
Julien Jomier (manager)
2011-03-03 06:46

Did you upgrade the database?
(0025634)
David Irvine (reporter)
2011-03-03 10:41

I did try but nothing happened.
(0025635)
David Irvine (reporter)
2011-03-03 10:44

Unless there is a manual way to force it, which I never attempted. I was using the admin page and selected upgrade db, the cursor flashed as though no update. I waited just in case, but no upgrade.
(0025637)
Julien Jomier (manager)
2011-03-03 12:18

Zach is going to look into the problem. Thanks for the report!
(0025638)
David Irvine (reporter)
2011-03-03 12:51

Anything I can do here, just let me know. I have another issue / request and wonder should it be a request on this system or not.

We have tried to play with cdash to show CMAKE_BUILD_TYPE either after site name or build name, but to no avail. We use a pretty huge cake file with a smallish CTestConfig.cmake file. Nothing too dramatic, but it would help us an awful lot to see Release or Debug on each target. I would have thought this was common, but cannot find anyone who has asked for this.

If you have a suggestion or want another bug filed then please let me know.
(0025639)
Zach Mullen (developer)
2011-03-03 12:56

Hello David,

What revision were you on when the problem initially appeared? Also, are you using mysql or pgsql?
(0025640)
David Irvine (reporter)
2011-03-03 12:57

I cannot recall what version the problem appeared (but I have gone back 100 revisions to see if it's OK and it was not).

Were using mysql.

Tks
(0025641)
Zach Mullen (developer)
2011-03-03 13:01

The index page indicates that the database needs to be upgraded. What happens when you go to http://dash.maidsafe.net/upgrade.php [^] logged in as an administrator and click the Upgrade CDash button?
(0025642)
David Irvine (reporter)
2011-03-03 13:04

Hi I have tried that several times but no luck. Is there any log or similar I can send you, or even temp access as admin to the dashboard.
(0025643)
Zach Mullen (developer)
2011-03-03 13:06

I created an account on that dashboard (zach.mullen@kitware.com). Let me know when it has admin access.

Thanks
(0025644)
David Irvine (reporter)
2011-03-03 13:12

This is weird. Even in the user admin page typing a name shows nothing, a % also shows nothing, it's as though javascripts broken or something. Can I make you admin direct via the database ?
(0025645)
Zach Mullen (developer)
2011-03-03 13:16

You can do it via the database. Go to the user table and set the value of the "admin" column for my user to 1. It should be 0 currently.

While you are there, can you check to see if the table "uploadfile" and "build2uploadfile" exist? Thanks

Also, go ahead and svn update to the current head revision (2854).

Thanks
(0025646)
David Irvine (reporter)
2011-03-03 13:22

OK your in, I hope. Neither of those tables exist.

I have updated svn as well to 2854 (latest)

Thanks
(0025647)
Zach Mullen (developer)
2011-03-03 13:33

Nothing happens for me either when I click upgrade. There's no error in the logs either. You said you were having trouble with some javascript stuff before you svn up'd as well? The upgrade page also uses ajax to call the upgrade script. I just tried to upgrade from a 1.7 database to use the head version and it worked fine on my machine.

Maybe you could send me the contents of your config files (passwords redacted) so I can try and recreate the issue here...
(0025648)
Zach Mullen (developer)
2011-03-03 13:35

Check one more thing for me... in the database table "version", what is the value of the major and minor fields?
(0025649)
David Irvine (reporter)
2011-03-03 13:35

Sent by email.
(0025650)
David Irvine (reporter)
2011-03-03 13:38

+-------+-------+-------+
| major | minor | patch |
+-------+-------+-------+
| 1 | 9 | 0 |
+-------+-------+-------+
(0025651)
Zach Mullen (developer)
2011-03-03 13:53

I just checked the js console when doing the upgrade on your site. It's saying it can't find the javascript files it needs to perform the upgrade. It's looking for javascript/cdashUpgrade.js and javascript/jquery.js. Do these files exist in the CDash checkout directory?
(0025652)
David Irvine (reporter)
2011-03-03 13:57

Here you go
root@li126-149:/var/www# ls javascript/cdashUpgrade.js -l
-rw-r--r-- 1 root root 3519 Mar 2 23:05 javascript/cdashUpgrade.js
root@li126-149:/var/www# ls javascript/jquery.js -l
-rwxrwxr-x 1 root www-data 55272 Dec 3 2009 javascript/jquery.js
root@li126-149:/var/www#
(0025653)
Zach Mullen (developer)
2011-03-03 14:01

Very strange...
cdashUpgrade.js - Failed to load resource: the server responded with a status of 404 (Not Found)

The server can't find that file. Did you recently change any server or CDash configuration settings before you started having the issue with your create project page?
(0025654)
David Irvine (reporter)
2011-03-03 14:06

No I upgraded it several weeks (maybe month or so) ago and added a bunch of projects. We had an issue with test output not being shown and I did a svn up and then realised it was the compression that was missing from the config file.

I only noticed this recently when I could not add a project (the javascript issue now we know) and then only yesterday I tried some updates, noticed the header issues and tried to revert svn to get back working. This is where I failed.
(0025655)
Zach Mullen (developer)
2011-03-03 14:08

Maybe the apache logs will give some insight as to why it can't find the directory. Maybe you could try moving all the CDash files under a subdirectory of /var/www instead of directly in it. There may be some mod rewrite rule clobbering access to that directory.
(0025656)
David Irvine (reporter)
2011-03-03 14:10

Having a look now
(0025657)
David Irvine (reporter)
2011-03-03 14:11

Aha !!

 File does not exist: /usr/share/javascript/jquery.cookie.js, referer: http://dash.maidsafe.net/ [^]
(0025658)
David Irvine (reporter)
2011-03-03 14:14

Cannot see why apache is doing this.
(0025659)
Zach Mullen (developer)
2011-03-03 14:15

What's in your /opt/local/apache2/conf/httpd.conf ?
(0025660)
David Irvine (reporter)
2011-03-03 14:17

Found it


grep -r javascript *
conf.d/javascript-common.conf:Alias /javascript /usr/share/javascript/
conf.d/javascript-common.conf:<Directory "/usr/share/javascript/">

Arghh !! really very sorry about that. It was not entered by me and I cannot see why it's there. It wont be in a minute !
(0025661)
Zach Mullen (developer)
2011-03-03 14:18

Cheers
(0025662)
David Irvine (reporter)
2011-03-03 14:20

Thanks very much - now upgraded database and can do all sorts of amazing stuff. Great project BTW and amazing support

Does not mean much but we will certainly be telling folks about this and mention it in our web site/blogs etc. Cannot thank ye enough.

Should I create another issue to try and get the CMAKE_BUILD_TYPE to show in dashboard ?

Thanks again
(0025663)
Zach Mullen (developer)
2011-03-03 14:26

Thanks :) Glad to be of service.

Yes, go ahead and open another bug for the CMAKE_BUILD_TYPE issue.
(0025664)
David Irvine (reporter)
2011-03-03 14:28

Will do, cheers fella really sorry to have missed this stupid one, Oh well live and learn ;-) cheers for not tearing into me, I probably deserved it :D
(0028037)
Julien Jomier (manager)
2011-12-22 10:22

Seems like this bug is resolved. Feel free to reopen as needed.

- Issue History
Date Modified Username Field Change
2011-03-02 18:13 David Irvine New Issue
2011-03-03 03:09 Julien Jomier Assigned To => Julien Jomier
2011-03-03 03:09 Julien Jomier Status new => assigned
2011-03-03 03:09 Julien Jomier Note Added: 0025627
2011-03-03 06:43 David Irvine Note Added: 0025629
2011-03-03 06:44 David Irvine Note Edited: 0025629 View Revisions
2011-03-03 06:46 Julien Jomier Note Added: 0025630
2011-03-03 10:41 David Irvine Note Added: 0025634
2011-03-03 10:44 David Irvine Note Added: 0025635
2011-03-03 12:17 Julien Jomier Assigned To Julien Jomier => Zach Mullen
2011-03-03 12:18 Julien Jomier Note Added: 0025637
2011-03-03 12:51 David Irvine Note Added: 0025638
2011-03-03 12:56 Zach Mullen Note Added: 0025639
2011-03-03 12:57 David Irvine Note Added: 0025640
2011-03-03 13:01 Zach Mullen Note Added: 0025641
2011-03-03 13:04 David Irvine Note Added: 0025642
2011-03-03 13:06 Zach Mullen Note Added: 0025643
2011-03-03 13:12 David Irvine Note Added: 0025644
2011-03-03 13:16 Zach Mullen Note Added: 0025645
2011-03-03 13:22 David Irvine Note Added: 0025646
2011-03-03 13:33 Zach Mullen Note Added: 0025647
2011-03-03 13:35 Zach Mullen Note Added: 0025648
2011-03-03 13:35 David Irvine Note Added: 0025649
2011-03-03 13:38 David Irvine Note Added: 0025650
2011-03-03 13:53 Zach Mullen Note Added: 0025651
2011-03-03 13:57 David Irvine Note Added: 0025652
2011-03-03 14:01 Zach Mullen Note Added: 0025653
2011-03-03 14:06 David Irvine Note Added: 0025654
2011-03-03 14:08 Zach Mullen Note Added: 0025655
2011-03-03 14:10 David Irvine Note Added: 0025656
2011-03-03 14:11 David Irvine Note Added: 0025657
2011-03-03 14:14 David Irvine Note Added: 0025658
2011-03-03 14:15 Zach Mullen Note Added: 0025659
2011-03-03 14:17 David Irvine Note Added: 0025660
2011-03-03 14:18 Zach Mullen Note Added: 0025661
2011-03-03 14:20 David Irvine Note Added: 0025662
2011-03-03 14:26 Zach Mullen Note Added: 0025663
2011-03-03 14:28 David Irvine Note Added: 0025664
2011-12-22 10:22 Julien Jomier Note Added: 0028037
2011-12-22 10:22 Julien Jomier Status assigned => resolved
2011-12-22 10:22 Julien Jomier Fixed in Version => 2.0
2011-12-22 10:22 Julien Jomier Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker